org.apache.jmeter.util

## Class JSR223BeanInfoSupport

- java.lang.Object
- - java.beans.SimpleBeanInfo
  - - org.apache.jmeter.testbeans.BeanInfoSupport
    - - org.apache.jmeter.util.ScriptingBeanInfoSupport
      - - org.apache.jmeter.util.JSR223BeanInfoSupport

- All Implemented Interfaces:
    java.beans.BeanInfo
  Direct Known Subclasses:
    JSR223AssertionBeanInfo, JSR223ListenerBeanInfo, JSR223PostProcessorBeanInfo, JSR223PreProcessorBeanInfo, JSR223SamplerBeanInfo, JSR223TimerBeanInfo

      public abstract class JSR223BeanInfoSupport
      extends ScriptingBeanInfoSupport

  Parent class to handle common GUI design for JSR223 test elements

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.jmeter.util.ScriptingBeanInfoSupport

      `ScriptingBeanInfoSupport.JSR223ScriptCacheCheckboxEditor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[][]` | `LANGUAGE_NAMES` Deprecated. use `getLanguageNames()`

    - ### Fields inherited from class org.apache.jmeter.testbeans.BeanInfoSupport

      `DEFAULT, DEFAULT_NOT_SAVED, MULTILINE, NOT_EXPRESSION, NOT_OTHER, NOT_UNDEFINED, RESOURCE_BUNDLE, TAGS, TEXT_LANGUAGE`

    - ### Fields inherited from interface java.beans.BeanInfo

      `ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JSR223BeanInfoSupport(java.lang.Class<? extends TestBean> beanClass)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String[][]` | `getLanguageNames()`

    - ### Methods inherited from class org.apache.jmeter.testbeans.BeanInfoSupport

      `createPropertyGroup, getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors, property, property, property, setIcon`

    - ### Methods inherited from class java.beans.SimpleBeanInfo

      `loadImage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LANGUAGE_NAMES

          @Deprecated
          public static final java.lang.String[][] LANGUAGE_NAMES

      Deprecated. use `getLanguageNames()`
      Will be removed in next version following 3.2

  - ### Constructor Detail

    - #### JSR223BeanInfoSupport

          protected JSR223BeanInfoSupport(java.lang.Class<? extends TestBean> beanClass)

  - ### Method Detail

    - #### getLanguageNames

          public static final java.lang.String[][] getLanguageNames()

      Returns:
        String array of 2 columns array containing Script engine short name / Script Language details

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.